IdentifierValue (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.spi
Class IdentifierValue

    java.lang.Object
      org.hibernate.engine.spi.IdentifierValue

All Implemented Interfaces:
  UnsavedValueStrategy

    public class IdentifierValue

extends Object
implements UnsavedValueStrategy

A strategy for determining if an identifier value is an identifier of a new transient instance or a previously persistent transient instance. The strategy is determined by the `unsaved-value` attribute in the mapping file.

Field Summary
`static IdentifierValue` | `ANY` Always assume the transient instance is newly instantiated
`static IdentifierValue` | `NONE` Never assume the transient instance is newly instantiated
`static IdentifierValue` | `NULL` Assume the transient instance is newly instantiated if the identifier is null.
`static IdentifierValue` | `UNDEFINED` Assume nothing.

Constructor Summary
`protected` | `IdentifierValue()`
`` | `IdentifierValue(Serializable value)` Assume the transient instance is newly instantiated if its identifier is null or equal to `value`

Method Summary
`Serializable` | `getDefaultValue(Object currentValue)` Get a default value meant to indicate transience.
`Boolean` | `isUnsaved(Object id)` Does the given identifier belong to a new instance?
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ANY

    public static final IdentifierValue ANY

  Always assume the transient instance is newly instantiated

### NONE

    public static final IdentifierValue NONE

  Never assume the transient instance is newly instantiated

### NULL

    public static final IdentifierValue NULL

  Assume the transient instance is newly instantiated if the identifier is null.

### UNDEFINED

    public static final IdentifierValue UNDEFINED

  Assume nothing.

Constructor Detail

### IdentifierValue

    protected IdentifierValue()

### IdentifierValue

    public IdentifierValue(Serializable value)

  Assume the transient instance is newly instantiated if its identifier is null or equal to `value`

Method Detail

### isUnsaved

    public Boolean isUnsaved(Object id)

  Does the given identifier belong to a new instance?

  Specified by:
    `isUnsaved` in interface `UnsavedValueStrategy`
  Parameters:
    `id` - The value to be tested
  Returns:
    `true` indicates the value corresponds to unsaved data (aka, transient state; `false` indicates the value does not corresponds to unsaved data (aka, detached state); `null` indicates that this strategy was not able to determine conclusively.

### getDefaultValue

    public Serializable getDefaultValue(Object currentValue)

  Description copied from interface: `UnsavedValueStrategy`
  Get a default value meant to indicate transience.

  Specified by:
    `getDefaultValue` in interface `UnsavedValueStrategy`
  Parameters:
    `currentValue` - The current state value.
  Returns:
    The default transience value.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.